Bug 56413 - Rocks screensaver crashes linux
Rocks screensaver crashes linux
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 18:52 EST by Markus
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 21:57:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus 2001-11-16 18:52:27 EST
Linux crashes when I leave the radom screensaver running. The crash alway 
occurs when the Rocks screen savior get selected. The machine is complety 
dead when this occurs, now responses to ping or anthing else.
The machine needs to be power cycled at this time.



Version-Release number of selected component (if applicable):


How Reproducible:
=================
Occurs every 4-5 hours with random screensaver.

How to reproduce:
=================
1) Select the Radom screensaver
2) Select activation for 10 Minutes
3) Select monitor power off for 20 Minutes
4) Let the machine sit until the monitor turn off
5) Repeat steps.

Actual Results:
===============
The system complety hangs.
No way to in interact with the system, thje sytem needs to be rebooted.

Expected Results:
=================
System should not crash
Comment 1 Bill Nottingham 2001-11-28 01:21:46 EST
This is generally a problem with the XFree86 driver (or possibly, the kernel.)
Comment 2 Stephen John Smoogen 2002-01-24 21:57:33 EST
I have had similar problems with DRI and my Voodoo 3. Markus, you will need to
give the following for the RH guys to fix it..

What is your video hardware? (lspci)
What is your IRQ on your system (my Voodoo 3 shares with the SB-Live on my
machine) [cat /proc/interrupts should help.]
Comment 3 Mike A. Harris 2002-03-14 09:50:08 EST
I just tested this on a Radeon 64 DDR, and a Voodoo 3, and it works fine.
Without knowing any further details as requested above, it is impossible
to debug the problem if it does exist.  Please attach your XFree86 config
file and X server log file to the bug report using the link below, and
reopen this report if the problem still exists in XFree86 4.1.0-15
erratum release.

smooge - Make sure you're in 1024x768 or less on the Voodoo 3, or it
will definitely lock up randomly with DRI.  Problem fixed in rawhide
by forcing DRI off when higher resolutions are used.

Note You need to log in before you can comment on or make changes to this bug.